TrimSolidBuilder Class

class NXOpen.Tooling.TrimSolidBuilder

Bases: NXOpen.Builder

Mold Wizard trim solid management builder, trims bounding box body with region, subtract bounding box with workpiece or keep region and box.

To create a new instance of this class, use NXOpen.Tooling.TrimSolidCollection.CreateTrimSolidBuilder()

Default values.

Property Value
ActionType Trim
ChangeBoxSize 1
Clearance.Value 0.1 (millimeters part), 0.004 (inches part)
RemoveParameter 0

New in version NX8.0.0.

Properties

Property Description
ActionType Returns or sets the action type of trim, subtract or just keep the region and the bounding box.
ChangeBoxSize Returns or sets the option to change the created boundbox size
Clearance Returns the single side clearance value of the bounding box.
RegionFaces Returns the region faces to create trim solid.
RemoveParameter Returns or sets the option to remove parameter of the trim solid body
SelectBoundBox Returns the selected bounding box.
SelectLinkTarget Returns the component that the trimmed body is linked to.
SheetBody Returns the sheet body to create trim solid.
Tag Returns the Tag for this object.
TaggedFaces Returns the faces with the defined attribute to create trim solid.
TrimDirection Returns or sets the trim body side.
Type Returns or sets the type to select face, sheet body or manufacturing faces to trim the bounding box.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CreateBoundBox Creates the bounding box.
CreateToolingBox Creates the tooling box.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
InsideBoundBox The faces inside the bounding box.
InsideCrossBoundBox The faces inside/cross the bounding box.
SetBoundBox Sets the bounding box tag.
SetManualBody Sets the manually selected target body.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

TrimSolidBuilderTrimSolidAction Enumeration represents the action to create trim solid.
TrimSolidBuilderTypes Enumeration represents the option to select face or sheet body or manufacturing faces to trim the bounding box.

Property Detail

ActionType

TrimSolidBuilder.ActionType

Returns or sets the action type of trim, subtract or just keep the region and the bounding box.

-------------------------------------

Getter Method

Signature ActionType

Returns:
Return type:NXOpen.Tooling.TrimSolidBuilderTrimSolidAction

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

-------------------------------------

Setter Method

Signature ActionType

Parameters:actionType (NXOpen.Tooling.TrimSolidBuilderTrimSolidAction) –

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ChangeBoxSize

TrimSolidBuilder.ChangeBoxSize

Returns or sets the option to change the created boundbox size

-------------------------------------

Getter Method

Signature ChangeBoxSize

Returns:
Return type:bool

New in version NX8.0.18.

License requirements: None.

-------------------------------------

Setter Method

Signature ChangeBoxSize

Parameters:changeBoxSize (bool) –

New in version NX8.0.18.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Clearance

TrimSolidBuilder.Clearance

Returns the single side clearance value of the bounding box.

-------------------------------------

Getter Method

Signature Clearance

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

RegionFaces

TrimSolidBuilder.RegionFaces

Returns the region faces to create trim solid.

-------------------------------------

Getter Method

Signature RegionFaces

Returns:
Return type:NXOpen.ScCollector

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

RemoveParameter

TrimSolidBuilder.RemoveParameter

Returns or sets the option to remove parameter of the trim solid body

-------------------------------------

Getter Method

Signature RemoveParameter

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

-------------------------------------

Setter Method

Signature RemoveParameter

Parameters:removeParameter (bool) –

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SelectBoundBox

TrimSolidBuilder.SelectBoundBox

Returns the selected bounding box.

-------------------------------------

Getter Method

Signature SelectBoundBox

Returns:
Return type:NXOpen.SelectBody

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SelectLinkTarget

TrimSolidBuilder.SelectLinkTarget

Returns the component that the trimmed body is linked to.

-------------------------------------

Getter Method

Signature SelectLinkTarget

Returns:
Return type:NXOpen.Assemblies.SelectComponent

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SheetBody

TrimSolidBuilder.SheetBody

Returns the sheet body to create trim solid.

-------------------------------------

Getter Method

Signature SheetBody

Returns:
Return type:NXOpen.SelectBodyList

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

TaggedFaces

TrimSolidBuilder.TaggedFaces

Returns the faces with the defined attribute to create trim solid.

-------------------------------------

Getter Method

Signature TaggedFaces

Returns:
Return type:NXOpen.SelectFaceList

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

TrimDirection

TrimSolidBuilder.TrimDirection

Returns or sets the trim body side.

-------------------------------------

Getter Method

Signature TrimDirection

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

-------------------------------------

Setter Method

Signature TrimDirection

Parameters:trimDirection (bool) –

New in version NX7.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Type

TrimSolidBuilder.Type

Returns or sets the type to select face, sheet body or manufacturing faces to trim the bounding box.

-------------------------------------

Getter Method

Signature Type

Returns:
Return type:NXOpen.Tooling.TrimSolidBuilderTypes

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

-------------------------------------

Setter Method

Signature Type

Parameters:type (NXOpen.Tooling.TrimSolidBuilderTypes) –

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Method Detail

CreateBoundBox

TrimSolidBuilder.CreateBoundBox

Creates the bounding box.

Signature CreateBoundBox()

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

CreateToolingBox

TrimSolidBuilder.CreateToolingBox

Creates the tooling box.

Signature CreateToolingBox()

Returns:the bounded box body
Return type:NXOpen.Body

New in version NX10.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

InsideBoundBox

TrimSolidBuilder.InsideBoundBox

The faces inside the bounding box.

Signature InsideBoundBox()

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

InsideCrossBoundBox

TrimSolidBuilder.InsideCrossBoundBox

The faces inside/cross the bounding box.

Signature InsideCrossBoundBox()

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SetBoundBox

TrimSolidBuilder.SetBoundBox

Sets the bounding box tag.

Signature SetBoundBox(block)

Parameters:block (NXOpen.Body) – the bounding box block body

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SetManualBody

TrimSolidBuilder.SetManualBody

Sets the manually selected target body.

Signature SetManualBody(block)

Parameters:block (NXOpen.Body) – the manually selected target body

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Validate

TrimSolidBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.